%define	upstream_name	 TimeDate
%define upstream_version 2.33

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    %{upstream_name} module for perl (Data_Type_Utilities/Time)
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/authors/id/A/AT/ATOOMIC/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildArch:  noarch

%description
Simple Time and Date module for perl.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
 %{__perl} Makefile.PL INSTALLDIRS=vendor
make

%check
make test

%install
%make_install

%files
%doc ChangeLog META.json META.yml MYMETA.yml README
%{perl_vendorlib}/Date
%{perl_vendorlib}/Time
%{perl_vendorlib}/TimeDate.pm
%{_mandir}/*/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 2.330.0-3.mga10
+ Revision: 2206182
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 2.330.0-2.mga9
+ Revision: 1812680
- Mageia 9 Mass Rebuild

* Thu May 21 2020 tv <tv> 2.330.0-1.mga8
+ Revision: 1586583
- update to 2.33

* Thu Mar 05 2020 tv <tv> 2.320.0-1.mga8
+ Revision: 1553948
- update to 2.32

* Thu Feb 20 2020 umeabot <umeabot> 2.310.0-3.mga8
+ Revision: 1547121
- Mageia 8 Mass Rebuild

* Thu Feb 06 2020 joequant <joequant> 2.310.0-2.mga8
+ Revision: 1487553
- rebuild to fix provides
+ tv <tv>
- update to 2.31

* Fri Jan 17 2020 shlomif <shlomif> 2.310.0-1.mga8
+ Revision: 1481193
- New version 2.310.0

* Fri Jan 03 2020 shlomif <shlomif> 2.300.0-8.mga8
+ Revision: 1475734
- fix tests
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 2.300.0-7.mga7
+ Revision: 1272374
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 2.300.0-6.mga6
+ Revision: 1035247
- Rebuild for perl 5.22.2

* Tue Feb 02 2016 umeabot <umeabot> 2.300.0-5.mga6
+ Revision: 932573
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 2.300.0-4.mga5
+ Revision: 743557
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.300.0-3.mga5
+ Revision: 686715
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 2.300.0-2.mga4
+ Revision: 537507
- Mageia 4 Mass Rebuild

* Wed Feb 20 2013 dmorgan <dmorgan> 2.300.0-1.mga4
+ Revision: 399535
- New version ( needed for bugzilla )

* Sun Jan 13 2013 umeabot <umeabot> 1.200.0-2.mga3
+ Revision: 374374
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 19 2011 jquelin <jquelin> 1.200.0-1.mga1
+ Revision: 24231
- fix specs
- imported package perl-TimeDate


* Sun Dec 13 2009 Jérôme Quelin <jquelin@mandriva.org> 1.200.0-1mdv2010.1
+ Revision: 478055
- update to 1.20

* Sat Sep 26 2009 Jérôme Quelin <jquelin@mandriva.org> 1.190.0-1mdv2010.0
+ Revision: 449367
- update to 1.19

* Sun Sep 20 2009 Jérôme Quelin <jquelin@mandriva.org> 1.170.0-1mdv2010.0
+ Revision: 444845
- update to 1.17

* Mon Aug 03 2009 Jérôme Quelin <jquelin@mandriva.org> 1.160.0-1mdv2010.0
+ Revision: 408093
- rebuild using %%perl_convert_version

* Sat Mar 07 2009 Antoine Ginies <aginies@mandriva.com> 1.16-8mdv2009.1
+ Revision: 351708
- rebuild

* Wed Jun 18 2008 Thierry Vignaud <tv@mandriva.org> 1.16-7mdv2009.0
+ Revision: 224560
- rebuild

* Thu Mar 06 2008 Oden Eriksson <oeriksson@mandriva.com> 1.16-6mdv2008.1
+ Revision: 180626
- rebuild

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request


* Sun Jan 14 2007 Olivier Thauvin <nanardon@mandriva.org> 1.16-5mdv2007.0
+ Revision: 108427
- rebuild

  + Guillaume Rousse <guillomovitch@mandriva.org>
    - Import perl-TimeDate

* Tue Jan 18 2005 Abel Cheung <deaddog@mandrake.org> 1.16-4mdk
- rebuild

